Delete Meter - m3ter Documentation

Delete Meter

cURL

curl --request DELETE \
  --url https://api.m3ter.com/organizations/{orgId}/meters/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.m3ter.com/organizations/{orgId}/meters/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/meters/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Response

Success Codes

JSON Response Body Examples

On successful deletion:

{
  "id": "<string>",
  "version": 123,
  "customFields": {},
  "productId": "<string>",
  "groupId": "<string>",
  "name": "<string>",
  "code": "<string>",
  "dataFields": [
    {
      "code": "<string>",
      "name": "<string>",
      "unit": "<string>"
    }
  ],
  "derivedFields": [
    {
      "code": "<string>",
      "name": "<string>",
      "calculation": "<string>",
      "unit": "<string>"
    }
  ],
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>"
}

Error messages:

{
  "message": "<string>"
}

Authorizations

Authorization is required in the header.

m3ter supports machine-to-machine authentication using the clientCredentials OAuth2 flow.